version: '3.4'

volumes:
  dbfiles:

services:
  mysqldb:
    image: mysql:8.0.22
    ports:
      - "3366:3306"
    volumes:
      - dbfiles:/var/lib/mysql
    restart: always
    environment: 
      MYSQL_ROOT_PASSWORD: root
      MYSQL_USER: root
      MYSQL_PASSWORD: root
      MYSQL_DATABASE: Clansdb

  clanmanagement.api:
    depends_on:
      - mysqldb
    image: ${DOCKER_REGISTRY-}clanmanagementapi
    ports:
      - "5000:80"
      - "5001:443"
    build:
      context: .
      dockerfile: Services/Clan/ClanManagement.API/Dockerfile
